## org.apache.catalina.ha
Interface ClusterValve

All Superinterfaces:
  Valve

All Known Implementing Classes:
  JvmRouteBinderValve, ReplicationValve

    public interface ClusterValve

extends Valve

Cluster valves are a simple extension to the Tomcat valve architecture with a small addition of being able to reference the cluster component in the container it sits in.

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Filip Hanik, Peter Rossbach

Method Summary
`CatalinaCluster` `getCluster()` Returns the cluster the cluster deployer is associated with
`void` `setCluster(CatalinaCluster cluster)` Associates the cluster deployer with a cluster

Methods inherited from interface org.apache.catalina.Valve
`backgroundProcess, event, getInfo, getNext, invoke, setNext`

Method Detail

### getCluster

    CatalinaCluster getCluster()

  Returns the cluster the cluster deployer is associated with

  Returns:
    CatalinaCluster

### setCluster

    void setCluster(CatalinaCluster cluster)

  Associates the cluster deployer with a cluster

  Parameters:
    `cluster` - CatalinaCluster

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.